rem
rem *-*-* 386CL.BAT *-*-*
rem
rem This submit file contains an example showing the compilation of one
rem C module and its binding to create a program for execution on the
rem iRMX III Operating System.
rem
rem Invocation:  386cl module
rem
rem Where: module - Is the pathname of the module to be compiled and bound.
rem                 This name is assumed to have a '.c' suffix, however, do
rem                 not include it in the pathname.
rem
rem Notes:
rem - The module name will be the name of the executable program.
rem - The ic386 libraries are installed in \intel\lib, and the include files
rem   are installed in \intel\ic386\inc and specified with the searchinclude
rem   control in this file.  Directories specified by the :include: environment
rem   variable will also be searched for include and header files.
rem - The floating point C libraries are used; non-floating point libraries
rem   may be substituted instead.
rem - The file 386cl.ltx is used as input to bnd386.  This file should be
rem   located in the current default directory.
rem - The make_map.bat file is used by this batch file to create a map file
rem   after the program has been successfully created.
rem - See the iC-86/286/386 Compiler User's Guide for DOS Systems for
rem   examples of other binding techniques.
rem
rem ************************************************************************
rem
    ic386 %1.c searchinclude(\intel\ic386\inc) compact

    copy 386cl.ltx 386cl.ttx
    echo object(%1) >> 386cl.ttx
    bnd386 \intel\lib\cstart32.obj, %1.obj,  & < 386cl.ttx
    IF ERRORLEVEL 1 GOTO FAIL

    CALL make_map %1
    ECHO Success
    GOTO STOP

:FAIL
    ECHO Failure

:STOP
    del 386cl.ttx
